diff --git a/web/pgadmin/tools/sqleditor/utils/tests/test_query_tool_fs_utils.py b/web/pgadmin/tools/sqleditor/utils/tests/test_query_tool_fs_utils.py
index 7cab0678..1a920ec6 100644
--- a/web/pgadmin/tools/sqleditor/utils/tests/test_query_tool_fs_utils.py
+++ b/web/pgadmin/tools/sqleditor/utils/tests/test_query_tool_fs_utils.py
@@ -7,39 +7,31 @@
 #
 ##########################################################################
 import os
-from pgadmin.utils.route import BaseTestGenerator
-from pgadmin.tools.sqleditor.utils.query_tool_fs_utils import \
-    read_file_generator
 
+from grappa import should
 
-class TestReadFileGeneratorForEncoding(BaseTestGenerator):
-    """
-    Check that the start_running_query method works as intended
-    """
+from pgadmin.tools.sqleditor.utils.query_tool_fs_utils import \
+    read_file_generator
 
-    scenarios = [
-        (
-            'When user is trying to load the file with utf-8 encoding',
-            dict(
-                file='test_file_utf8_encoding.sql',
-                encoding='utf-8'
-            )
-        ),
-        (
-            'When user is trying to load the file with other encoding and'
-            ' trying to use utf-8 encoding to read it',
-            dict(
-                file='test_file_other_encoding.sql',
-                encoding='utf-8'
-            )
-        ),
-    ]
 
-    def setUp(self):
-        self.dir_path = os.path.dirname(os.path.realpath(__file__))
-        self.complate_path = os.path.join(self.dir_path, self.file)
+class TestReadFileGeneratorForEncoding:
+    def test_load_utf8_encoding(self):
+        """
+        When a user is trying to load the file with utf-8 encoding
+        It returns 'SELECT 1'
+        """
+        dir_path = os.path.dirname(os.path.realpath(__file__))
+        complete_path = os.path.join(dir_path, 'test_file_utf8_encoding.sql')
+        result = read_file_generator(complete_path, 'utf-8')
+        next(result) | should.be.contain('SELECT 1')
 
-    def runTest(self):
-        result = read_file_generator(self.complate_path, self.encoding)
-        # Check if file is read properly by the generator
-        self.assertIn('SELECT 1', next(result))
+    def test_load_other_encoding(self):
+        """
+        When user is trying to load the file with other encoding
+        And trying to use utf-8 encoding to read it
+        It returns 'SELECT 1'
+        """
+        dir_path = os.path.dirname(os.path.realpath(__file__))
+        complete_path = os.path.join(dir_path, 'test_file_other_encoding.sql')
+        result = read_file_generator(complete_path, 'utf-8')
+        next(result) | should.be.contain('SELECT 1')
diff --git a/web/pgadmin/tools/sqleditor/utils/tests/test_start_running_query.py b/web/pgadmin/tools/sqleditor/utils/tests/test_start_running_query.py
index 5ede59ca..93c45aff 100644
--- a/web/pgadmin/tools/sqleditor/utils/tests/test_start_running_query.py
+++ b/web/pgadmin/tools/sqleditor/utils/tests/test_start_running_query.py
@@ -8,12 +8,13 @@
 ##########################################################################
 import sys
 
-from flask import Response
 import simplejson as json
+from flask import Response
+from grappa import should
 
 from pgadmin.tools.sqleditor.utils.start_running_query import StartRunningQuery
+from pgadmin.utils.base_test_generator import BaseTestGenerator
 from pgadmin.utils.exception import ConnectionLost, SSHTunnelConnectionLost
-from pgadmin.utils.route import BaseTestGenerator
 
 if sys.version_info < (3, 3):
     from mock import patch, MagicMock
